What is Rails fixing versions in Gemfile?

While I agree, I don't see a valid complaint considering you should be running bundle outdated yourself a couple of times a week and manually adjusting your Gemfile, even if it has ~> that is not an excuse not to manually adjust your versions so that if you have to start with a blank Gemfile.lock you don't end up with the older version first.

That said that's just me, I would never update without updating my Gemfile too. If you really feel like having this issue fixed please file a ticket at http://github.com/rails/rails/issues/new